import network_parsers
from crossnetwork_processing_functions import get_data_files

filename = '/gpfs/projects/bsc32/AC_cache/obs/ghost/INDAAF/original_files/1.6/aerosol_composition/BJ0001R_PM2.5_2009.txt'
run_details = {'parameter': 'PM2.5_EC'} #, 'data_root':'/gpfs/projects/bsc32/AC_cache/obs/ghost/', 'network': 'WMO_WDCPC', 'ghost_version': '1.5.1', 'end_year': '1990', 'end_month': '1', 'end_year': '2024', 'end_month': '1'}
parameter_details = {'matrix': 'pm2.5'}

# filename = '/gpfs/projects/bsc32/AC_cache/obs/ghost/WMO_WDCPC/original_files/1.6/SDZ_20091030_20100921.csv'
# run_details = {'parameter': 'Ca++_PREC', 'data_root':'/gpfs/projects/bsc32/AC_cache/obs/ghost/', 'network': 'WMO_WDCPC', 'ghost_version': '1.5.1', 'end_year': '1990', 'end_month': '1', 'end_year': '2024', 'end_month': '1'}
# parameter_details = {}

parser = network_parsers.ParseINDAAFFile(filename, run_details, parameter_details)

data = parser.read_data()
print(data)






